<refentry id="SQL-SHOW">
 <refmeta>
  <refentrytitle>
   SHOW
  </refentrytitle>
  <refmiscinfo>SQL - Language Statements</refmiscinfo>
 </refmeta>
 <refnamediv>
  <refname>
   SHOW
  </refname>
  <refpurpose>
   Shows run-time parameters for session
  </refpurpose>
 </refnamediv>
 <refsynopsisdiv>
  <refsynopsisdivinfo>
   <date>1998-09-24</date>
  </refsynopsisdivinfo>
  <synopsis>
SHOW <replaceable class="PARAMETER">variable</replaceable>
  </synopsis>

  <refsect2 id="R2-SQL-SHOW-1">
   <refsect2info>
    <date>1998-09-24</date>
   </refsect2info>
   <title>
    Inputs
   </title>
   <para>

    <variablelist>
     <varlistentry>
      <term>
       <replaceable class="PARAMETER">variable</replaceable>
      </term>
      <listitem>
       <para>
	Refer to <command>SET</command> for more information on available
	variables.
       </para>
      </listitem>
     </varlistentry>
    </variablelist>
   </para>
  </refsect2>

  <refsect2 id="R2-SQL-SHOW-2">
   <refsect2info>
    <date>1998-09-24</date>
   </refsect2info>
   <title>
    Outputs
   </title>
   <para>

    <variablelist>
     <varlistentry>
      <term>
       <returnvalue>NOTICE: <replaceable
	 class="PARAMETER">">variab</replaceable>E> is <replaceable>value</replaceable></returnvalue>
       SHOW VARIABLE
      </term>
      <listitem>
       <para>
	Message returned if successfully.
       </para>
      </listitem>
     </varlistentry>
     <varlistentry>
      <term>
       <returnvalue>NOTICE:  Unrecognized variable <replaceable>value</replaceable></returnvalue>
      </term>
      <listitem>
       <para>
	Message returned if <returnvalue>value</returnvalue> does not exist.
       </para>
      </listitem>
     </varlistentry>
     
     <varlistentry>
      <term>
       NOTICE:  Time zone is unknown
       SHOW VARIABLE
      </term>
      <listitem>
       <para>
	If the TZ environment variable is not set.
       </para>
      </listitem>
     </varlistentry>
    </variablelist>
   </para>
  </refsect2>
 </refsynopsisdiv>

 <refsect1 id="R1-SQL-SHOW-1">
  <refsect1info>
   <date>1998-09-24</date>
  </refsect1info>
  <title>
   Description
  </title>
  <para>
   <command>SHOW</command> will display the current
   configuration parameters for
   variable during a session.
  </para>
  <para>
   The session can be configured using <command>SET</command> statement,
   and values
   can be restored to the defaults using <command>RESET</command> statement.
   Parameters and values are case-insensitive.
  </para>

  <refsect2 id="R2-SQL-SHOW-3">
   <refsect2info>
    <date>1998-09-24</date>
   </refsect2info>
   <title>
    Notes
   </title>
   <para>
    The <command>SHOW</command> is a <productname>Postgres</productname>
    language extension.
   </para>
   <para>
    Refer to  <command>SET</command>/<command>RESET</command> 
    to set/reset variable values.
    See also  <command>SET TIME ZONE</command>.
   </para>
  </refsect2>
 </refsect1>

 <refsect1 id="R1-SQL-SHOW-2">
  <title>
   Usage
  </title>
  <para>
   <programlisting>
-- show DateStyle;
SHOW DateStyle;
NOTICE:DateStyle is Postgres with US (NonEuropean) conventions

-- show Geqo;
SHOW GEQO;
NOTICE:GEQO is ON
   </programlisting>
  </para>
 </refsect1>

 <refsect1 id="R1-SQL-SHOW-3">
  <title>
   Compatibility
  </title>
  <para>
  </para>

  <refsect2 id="R2-SQL-SHOW-4">
   <refsect2info>
    <date>1998-09-24</date>
   </refsect2info>
   <title>
    SQL92
   </title>
   <para>
    There is no <command>SHOW</command> defined in <acronym>SQL92</acronym>.
   </para>
  </refsect2>
 </refsect1>
</refentry>

<!-- Keep this comment at the end of the file
Local variables:
mode: sgml
sgml-omittag:nil
sgml-shorttag:t
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:1
sgml-indent-data:t
sgml-parent-document:nil
sgml-default-dtd-file:"../reference.ced"
sgml-exposed-tags:nil
sgml-local-catalogs:"/usr/lib/sgml/CATALOG"
sgml-local-ecat-files:nil
End:
-->
